import data.*;
import data.hsqldb.*;

public class App {
	public static void main(String[] args) {
		DataProviderFactory f = new DataProviderFactoryHSQL();
		DataProvider data = f.createInstance();
		
		data.connect();

		Chef c = data.load(Chef.class, 1);
		
		System.out.println(c.getNachname()+" "+c.getBudget());
		c.setBudget(1000);
		data.update(c);
		
		Angestellter a = data.load(Angestellter.class, 2);
		System.out.println(a.getNachname()+" Chef: "+a.getChef().getNachname());
		//data.delete(a);
		
		a = new Angestellter();
		a.setVorname("Donald");
		a.setNachname("Duck");
		a.setChef(c);
		a.setAbteilung(data.load(Abteilung.class, 3));
		data.insert(a);
		
		Person p = data.load(Person.class, 1);
		System.out.println(p.getClass().getName());
		c = (Chef) p;
		data.disconnect();
	}

}
