package data;

import java.util.*;

public class VirtualList<E> extends AbstractList<E> {
	private List<E> source = null;
	private VirtualListLoader<E> loader;
	
	public VirtualList(VirtualListLoader<E> loader) {
		this.loader = loader;
	}
	
	private List<E> getSource() {
		if (source==null) {
			source = loader.getData();
		}
		return source;
	}

	@Override
	public E get(int index) {
		return getSource().get(index);
	}

	@Override
	public int size() {
		return getSource().size();
	}
}
