package data.hsqldb;

import data.Mapper;

import java.util.*;
import java.sql.*;

public abstract class AbstractMapper<E> implements Mapper<E> {
	protected Map<Integer, Object> identity_map = new HashMap<Integer, Object>();
	protected DataProviderHSQL data;
	
	public AbstractMapper(DataProviderHSQL data) {
		this.data = data;
	}
	
	protected abstract E load(ResultSet res) throws SQLException;
	
	protected List<? super E> load(PreparedStatement st, List<? super E> target) throws SQLException {
		target.clear();
		ResultSet res = st.executeQuery();
		while (res.next()){
			final E elem = load(res);
			target.add(elem);
		}
		return target;
	}
	
}
